/*var sensitivity : float = 4;
function Update () {
	if(transform.parent.GetComponent(MouseStats)){
		if(transform.parent.GetComponent(MouseStats).currentWeapon == "Handgun"){
			transform.localPosition.y += Input.GetAxis("Mouse Y") * sensitivity;
		} else {
			transform.localRotation = Quaternion(0,0,0,0);
			transform.localPosition.y = 0;
			transform.localPosition.z = 4;
		}
	}
}*/